Bug 1807620 - OCP 4.4 - nfd-worker pods fail to deploy in namespace other than default after NFD operator is deployed from OperatorHub
Summary: OCP 4.4 - nfd-worker pods fail to deploy in namespace other than default afte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Feature Discovery Operator
Version: 4.4
Hardware: x86_64
OS: Linux
high
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Zvonko Kosic
QA Contact: Walid A.
URL:
Whiteboard:
Depends On:
Blocks: 1808061
TreeView+ depends on / blocked
 
Reported: 2020-02-26 18:21 UTC by Carlos Eduardo Arango Gutierrez
Modified: 2020-05-13 22:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1804886
: 1815129 (view as bug list)
Environment:
Last Closed: 2020-05-13 22:00:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-nfd-operator pull 70 0 None closed [release-4.4] Bug 1807620: Set the correct namespace for SCC when installed in non default namespace 2020-05-13 12:19:17 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:00:05 UTC

Comment 4 Walid A. 2020-03-05 15:51:43 UTC
Verified on 4.4.0-0.nightly-2020-03-04-000622, Deploying NFD operator from OperatorHub, after mirroring the nfd images to internal registry:

$ oc get pods -n test-nfd
NAME                            READY   STATUS    RESTARTS   AGE
nfd-master-dfbn5                1/1     Running   0          85m
nfd-master-p5ltw                1/1     Running   0          85m
nfd-master-vr5tz                1/1     Running   0          85m
nfd-operator-77cb8655bb-sqx2k   1/1     Running   0          86m
nfd-worker-rjtz2                1/1     Running   2          85m
nfd-worker-rlxw2                1/1     Running   2          85m
nfd-worker-v9b4c                1/1     Running   2          85m

oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-03-04-000622   True        False         25h     Cluster version is 4.4.0-0.nightly-2020-03-04-000622


$ oc describe pod/nfd-operator-77cb8655bb-sqx2k -n test-nfd
Name:         nfd-operator-77cb8655bb-sqx2k
Namespace:    test-nfd
Priority:     0
Node:         ip-10-0-151-219.us-west-2.compute.internal/10.0.151.219
Start Time:   Thu, 05 Mar 2020 09:21:19 -0500
Labels:       name=nfd-operator
              pod-template-hash=77cb8655bb
Annotations:  alm-examples:
                [
                  {
                    "apiVersion": "nfd.openshift.io/v1alpha1",
                    "kind": "NodeFeatureDiscovery",
                    "metadata": {
                      "name": "nfd-master-server"
                    },
                    "spec": {
                      "namespace": "openshift-nfd"
                    }
                  }
                ]
              capabilities: Basic Install
              categories: Database
              certified: false
              containerImage: 
              createdAt: 2019-05-30T00:00:00Z
              description:
                This software enables node feature discovery for Kubernetes. It detects hardware features available on each node in a Kubernetes cluster, ...
              k8s.v1.cni.cncf.io/networks-status:
                [{
                    "name": "openshift-sdn",
                    "interface": "eth0",
                    "ips": [
                        "10.130.0.77"
                    ],
                    "dns": {},
                    "default-route": [
                        "10.130.0.1"
                    ]
                }]
              olm.operatorGroup: test-nfd-pr4gf
              olm.operatorNamespace: test-nfd
              olm.skipRange: >=4.1.0 <4.5.0
              olm.targetNamespaces: test-nfd
              openshift.io/scc: anyuid
              provider: Red Hat
              repository: https://github.com/openshift/cluster-nfd-operator
              support: Red Hat
Status:       Running
IP:           10.130.0.77
IPs:
  IP:           10.130.0.77
Controlled By:  ReplicaSet/nfd-operator-77cb8655bb
Containers:
  nfd-operator:
    Container ID:  cri-o://90a93b1243aa90f7d621a8539c81358ca991c581b324d1e0f6059475660b46e2
    Image:         image-registry.openshift-image-registry.svc:5000/openshift/ose-cluster-nfd-operator:v4.4.0
    Image ID:      image-registry.openshift-image-registry.svc:5000/openshift/ose-cluster-nfd-operator@sha256:0151f2eaa8d28e3c8f8de127d196c37433b86b1d89d760e724a6f01369243b7d
    Port:          60000/TCP
    Host Port:     0/TCP
    Command:
      cluster-nfd-operator
    State:          Running
      Started:      Thu, 05 Mar 2020 09:21:24 -0500
    Ready:          True
    Restart Count:  0
    Readiness:      exec [stat /tmp/operator-sdk-ready] delay=4s timeout=1s period=10s #success=1 #failure=1
    Environment:
      WATCH_NAMESPACE:                (v1:metadata.annotations['olm.targetNamespaces'])
      POD_NAME:                      nfd-operator-77cb8655bb-sqx2k (v1:metadata.name)
      OPERATOR_NAME:                 cluster-nfd-operator
      NODE_FEATURE_DISCOVERY_IMAGE:  image-registry.openshift-image-registry.svc:5000/openshift/ose-node-feature-discovery:v4.4.0
    Mounts:
      /tmp from tmp (rw)
      /var/run/secrets/kubernetes.io/serviceaccount from nfd-operator-token-56rnh (ro)
Conditions:
  Type              Status
  Initialized       True 
  Ready             True 
  ContainersReady   True 
  PodScheduled      True 
Volumes:
  tmp:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  nfd-operator-token-56rnh:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  nfd-operator-token-56rnh
    Optional:    false
QoS Class:       BestEffort
Node-Selectors:  node-role.kubernetes.io/master=
Tolerations:     node-role.kubernetes.io/master:NoSchedule
                 node.kubernetes.io/not-ready:NoExecute for 300s
                 node.kubernetes.io/unreachable:NoExecute for 300s
Events:
  Type    Reason     Age        From                                                 Message
  ----    ------     ----       ----                                                 -------
  Normal  Scheduled  <unknown>  default-scheduler                                    Successfully assigned test-nfd/nfd-operator-77cb8655bb-sqx2k to ip-10-0-151-219.us-west-2.compute.internal
  Normal  Pulling    86m        kubelet, ip-10-0-151-219.us-west-2.compute.internal  Pulling image "image-registry.openshift-image-registry.svc:5000/openshift/ose-cluster-nfd-operator:v4.4.0"
  Normal  Pulled     86m        kubelet, ip-10-0-151-219.us-west-2.compute.internal  Successfully pulled image "image-registry.openshift-image-registry.svc:5000/openshift/ose-cluster-nfd-operator:v4.4.0"
  Normal  Created    86m        kubelet, ip-10-0-151-219.us-west-2.compute.internal  Created container nfd-operator
  Normal  Started    86m        kubelet, ip-10-0-151-219.us-west-2.compute.internal  Started container nfd-operator

Comment 6 errata-xmlrpc 2020-05-13 22:00:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.